#ifndef _HF_MOVE_
#define _HF_MOVE_

#include <raylib.h>

typedef enum Curve {
  CURVE_LINEAR,
  CURVE_EASE_IN_OUT,
} Curve;

typedef struct Move Move;

struct Move {
  Vector2 *position;
  Vector2 origin;
  Vector2 destination;
  Curve curve;
  float current_time;
  float end_time;
};

void move_position(Move *m, float delta);

#endif
